#ifndef TEST_TCPIP_SERVER_H
#define TEST_TCPIP_SERVER_H

/*!
  \file
  \brief TcpipServer のテスト

  \author Satofumi KAMIMURA

  $Id: TestTcpipServer.h 1347 2009-09-30 06:40:12Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


/*!
  \brief TcpipServer のテストクラス
*/
class TestTcpipServer : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE(TestTcpipServer);
  CPPUNIT_TEST(connectTest);
  CPPUNIT_TEST(timeoutTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void connectTest(void);
  void timeoutTest(void);
};

#endif /* !TEST_TCPIP_SERVER_H */
